<?php
/*
Plugin Name: Syntax Highlighter ComPress
Plugin URI: http://www.phodana.de/wordpress/wp-plugin-syntax-highlighter-compress/
Description: Syntax Highlighter ComPress is a simple Wordpress plugin for syntax highlighting on your blog. This plugin uses the latest <a href="http://alexgorbatchev.com/wiki/SyntaxHighlighter">Alex Gorbatchev's SyntaxHighlighter Script</a>.
Version: 2.1.364_v1
Author: Andre G&auml;rtner
Author URI: http://www.phodana.de
*/

class wp_shc {
	function wp_shc() {
		global $wp_version;
		
		// Load Language files
    if (function_exists('load_plugin_textdomain')) {
        if ( !defined('WP_PLUGIN_DIR') ) {
            load_plugin_textdomain('SHC', str_replace( ABSPATH, '', dirname(__FILE__) ) . '/languages');
        } else {
            load_plugin_textdomain('SHC', false, dirname(plugin_basename(__FILE__)) . '/languages');
        }
    }
		
		// The current version
		define('shc_VERSION', '1.0');
		
		// Check for WP2.6 installation
		if (!defined ('IS_WP26'))
			define('IS_WP26', version_compare($wp_version, '2.6', '>=') );
		
		//This works only in WP2.6 or higher
		if ( IS_WP26 == FALSE) {
			add_action('admin_notices', create_function('', 'echo \'<div id="message" class="error fade"><p><strong>' . __('Sorry, Syntax Highlighter ComPress works only under WordPress 2.6 or higher',"SHC") . '</strong></p></div>\';'));
			return;
		} else {
      // define URL
      define('shc_ABSPATH', WP_PLUGIN_DIR.'/'.plugin_basename( dirname(__FILE__) ).'/' );
      define('shc_URLPATH', WP_PLUGIN_URL.'/'.plugin_basename( dirname(__FILE__) ).'/' );
      
      include_once (dirname (__FILE__)."/tinymce/tinymce.php");

		}
	}
}

function wp_shc_head() {
	$current_path = get_option('siteurl') .'/wp-content/plugins/' . basename(dirname(__FILE__)) .'/'; 
	?>
	<!-- START: Syntax Highlighter ComPress -->
	<link type="text/css" rel="stylesheet" href="<?php echo $current_path; ?>styles/shCore.css" />
	<link type="text/css" rel="stylesheet" href="<?php echo $current_path; ?>styles/shThemeDefault.css" />
	<!-- END: Syntax Highlighter ComPress -->
  <?php
}

function wp_shc_footer() {
	$current_path = get_option('siteurl') .'/wp-content/plugins/' . basename(dirname(__FILE__)) .'/'; 
	?>
	<!-- START: Syntax Highlighter ComPress -->
	<script type="text/javascript" src="<?php echo $current_path; ?>scripts/shCore.js"></script>
	<script type="text/javascript" src="<?php echo $current_path; ?>scripts/shBrushes.js"></script>
	<script type="text/javascript">		
		SyntaxHighlighter.config.clipboardSwf = '<?php echo $current_path; ?>scripts/clipboard.swf';
		SyntaxHighlighter.defaults['wrap-lines'] = false;
		SyntaxHighlighter.config.strings.expandSource = "<?php _e('show source',"SHC"); ?>";
		SyntaxHighlighter.config.strings.viewSource = "<?php _e('view source',"SHC"); ?>";
		SyntaxHighlighter.config.strings.copyToClipboard = "<?php _e('copy to clipboard',"SHC"); ?>";
		SyntaxHighlighter.config.strings.copyToClipboardConfirmation = "<?php _e('The code is in your clipboard now',"SHC"); ?>";
		SyntaxHighlighter.config.strings.print = "<?php _e('print',"SHC"); ?>";
		SyntaxHighlighter.all();
	</script>
	<!-- END: Syntax Highlighter ComPress -->
	<?php
}

add_action( 'plugins_loaded', create_function( '', 'global $wp_shc; $wp_shc = new wp_shc();' ) );
add_action('wp_head','wp_shc_head');
add_action('wp_footer','wp_shc_footer');

?>
